[ntp:questions] Two issues updating FreeBSD 8.2 with portmaster

David Taylor david-taylor at blueyonder.co.uk.invalid
Wed Sep 26 03:31:45 UTC 2012


I tried to update my FreeBSD 8.2 to the latest NTP development (in 
excess of 300), but failed on two counts.  Am I doing something wrong?

1 - The version obtained was the same as my installed version: 
ntp-4.2.7p255, whereas the current development version is in excess of 
ntp-4.2.7p300.  The commands I used were:

	  # cd /usr/ports/ports-mgmt/portmaster
	  # portmaster net/ntp-devel

Do I need to do something to tell portmaster to update its list of 
current versions?  I had understood this was automatic.

2 - Although this version appears to compile correctly, I got an error 
message:

Making all in tests
===>>> Creating a backup package for old version ntp-4.2.7p255
tar: man/man8/ntpsnmpd.8.gz: Cannot stat: No such file or directory
tar: Error exit delayed from previous errors.
pkg_create: make_dist: tar command failed with code 256

===>>> Package creation failed for ntp-4.2.7p255!

===>>> Ignore this error  [i]
===>>> Abort              [a]

whereas when I ran this in February this year I don't recall getting the 
same error.  I'm not at all familiar with FreeBSD to know whether this 
error can be safely ignored, or whether it indicates a significant 
problem.  I was logged in as root at the time.

I would appreciate guidance.
-- 
Thanks,
David
Web: http://www.satsignal.eu



More information about the questions mailing list